Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl
Class TaskDefServiceImpl

    java.lang.Object
      org.jbpm.services.task.impl.TaskDefServiceImpl

All Implemented Interfaces:
  org.kie.internal.task.api.TaskDefService

    @ApplicationScoped
    public class TaskDefServiceImpl

extends Object
implements org.kie.internal.task.api.TaskDefService

Constructor Summary
`TaskDefServiceImpl()`

Method Summary
`void` | `deployTaskDef(org.kie.internal.task.api.model.TaskDef def)`
`List<org.kie.internal.task.api.model.TaskDef>` | `getAllTaskDef(String filter)`
`TaskDefImpl` | `getTaskDefById(String name)`
`void` | `undeployTaskDef(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskDefServiceImpl

    public TaskDefServiceImpl()

Method Detail

### deployTaskDef

    public void deployTaskDef(org.kie.internal.task.api.model.TaskDef def)

  Specified by:
    `deployTaskDef` in interface `org.kie.internal.task.api.TaskDefService`

### getAllTaskDef

    public List<org.kie.internal.task.api.model.TaskDef> getAllTaskDef(String filter)

  Specified by:
    `getAllTaskDef` in interface `org.kie.internal.task.api.TaskDefService`

### getTaskDefById

    public TaskDefImpl getTaskDefById(String name)

  Specified by:
    `getTaskDefById` in interface `org.kie.internal.task.api.TaskDefService`

### undeployTaskDef

    public void undeployTaskDef(String name)

  Specified by:
    `undeployTaskDef` in interface `org.kie.internal.task.api.TaskDefService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.